Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubLocationDiag.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubLocationDiag.designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubLocationDiag.designer.cs	(revision 51)
@@ -0,0 +1,174 @@
+﻿namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmSubLocationDiag
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.btnSelect = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.dataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // btnSelect
+            // 
+            this.btnSelect.BackColor = System.Drawing.Color.Green;
+            this.btnSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelect.ForeColor = System.Drawing.Color.White;
+            this.btnSelect.Location = new System.Drawing.Point(544, 596);
+            this.btnSelect.Name = "btnSelect";
+            this.btnSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnSelect.TabIndex = 4;
+            this.btnSelect.Text = "選　択";
+            this.btnSelect.UseVisualStyleBackColor = false;
+            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(672, 596);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 5;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // dgvMaster
+            // 
+            this.dgvMaster.AllowUserToAddRows = false;
+            this.dgvMaster.AllowUserToDeleteRows = false;
+            this.dgvMaster.AllowUserToResizeColumns = false;
+            this.dgvMaster.AllowUserToResizeRows = false;
+            this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.dataGridViewTextBoxColumn1,
+            this.dataGridViewTextBoxColumn2,
+            this.dataGridViewTextBoxColumn3});
+            this.dgvMaster.EditMode = System.Windows.Forms.DataGridViewEditMode.EditOnEnter;
+            this.dgvMaster.Location = new System.Drawing.Point(12, 12);
+            this.dgvMaster.MultiSelect = false;
+            this.dgvMaster.Name = "dgvMaster";
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.RowHeadersWidth = 20;
+            this.dgvMaster.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvMaster.RowTemplate.Height = 21;
+            this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
+            this.dgvMaster.Size = new System.Drawing.Size(780, 578);
+            this.dgvMaster.TabIndex = 20;
+            // 
+            // dataGridViewTextBoxColumn1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.dataGridViewTextBoxColumn1.Frozen = true;
+            this.dataGridViewTextBoxColumn1.HeaderText = "No.";
+            this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
+            this.dataGridViewTextBoxColumn1.ReadOnly = true;
+            this.dataGridViewTextBoxColumn1.Width = 50;
+            // 
+            // dataGridViewTextBoxColumn2
+            // 
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.dataGridViewTextBoxColumn2.DefaultCellStyle = dataGridViewCellStyle3;
+            this.dataGridViewTextBoxColumn2.Frozen = true;
+            this.dataGridViewTextBoxColumn2.HeaderText = "工事番号";
+            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
+            this.dataGridViewTextBoxColumn2.ReadOnly = true;
+            this.dataGridViewTextBoxColumn2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.dataGridViewTextBoxColumn2.Width = 200;
+            // 
+            // dataGridViewTextBoxColumn3
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.dataGridViewTextBoxColumn3.DefaultCellStyle = dataGridViewCellStyle4;
+            this.dataGridViewTextBoxColumn3.Frozen = true;
+            this.dataGridViewTextBoxColumn3.HeaderText = "名　　称";
+            this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
+            this.dataGridViewTextBoxColumn3.ReadOnly = true;
+            this.dataGridViewTextBoxColumn3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.dataGridViewTextBoxColumn3.Width = 500;
+            // 
+            // Column4
+            // 
+            this.Column4.Name = "Column4";
+            // 
+            // FrmSubLocationDiag
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(805, 632);
+            this.Controls.Add(this.dgvMaster);
+            this.Controls.Add(this.btnSelect);
+            this.Controls.Add(this.btnEnd);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmSubLocationDiag";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Text = "工事案件選択";
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmSubLocationDiag_FormClosing);
+            this.Load += new System.EventHandler(this.FrmSubLocationDiag_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnSelect;
+        private System.Windows.Forms.Button btnEnd;
+        private CustomControls.DataGridViewEX dgvMaster;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 51)
@@ -79,8 +79,33 @@
         /// </summary>
         private static string[] FixButtonTop = new string[] { "", "業　者　未　定", "常　　雇　　者" };
         #endregion
+
+        #region 選択業者手間区分
+        /// <summary>
+        /// 業者手間区分  Add BIT 2017/02/23
+        /// </summary>
+            public enum SelectLabourKinds
+            {
+                /// <summary>
+                /// 通常業者のみ
+                /// </summary>
+                Normal = 0,
+
+                /// <summary>
+                /// 手間業者のみ
+                /// </summary>
+                Labour,
+
+                /// <summary>
+                /// 通常業者/手間業者
+                /// </summary>
+                Both = 99,
+
+            }
         #endregion
 
+        #endregion
+
         #region 変数
         /// <summary>
         /// 初期処理フラグ
@@ -120,6 +145,13 @@
         /// 使用機能番号（協力会社検索）
         /// </summary>
         private const int m_UsedProcessNo = (int)ClsExcute.SubFormExecuteNo.SubconstractorDiag;
+
+        /// <summary>
+        /// 選択業者手間区分                Add BIT 2017/02/23
+        /// </summary>
+        private int m_SelectLabourKind = (int)SelectLabourKinds.Both;
+
+
         #endregion
 
         #region プロパティ
@@ -176,6 +208,15 @@
             set { m_DataType = value; }
         }
 
+        /// <summary>
+        /// 選択手間業者区分                Add BIT 2017/02/23
+        /// </summary>
+        public int SelectLabourKind
+        {
+            get { return m_SelectLabourKind; }
+            set { m_SelectLabourKind = value; }
+        }
+
         #endregion
 
         #region コンストラクタ
@@ -206,16 +247,37 @@
             // フォームサイズ固定
             this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
 
+            // 履歴データの設定     Add BIT 2017/02/17
+            DispHistryGridData();
+
             // 表示タブの選択
-            if (ExistHistoryData())
+ //           if (ExistHistoryData())       Del BIT 2017/02/17
+
+            // 履歴が存在する場合 Add BIT 2017/02/17
+            
+            if( dgvHistory.Rows[0].Cells[2].Value != null )
             {
                 tabControl1.SelectedIndex = 0;
-                DispHistryGridData();
+
+                // Del BIT 2017/02/25
+                //DispHistryGridData();
             }
             else
             {
                 tabControl1.SelectedIndex = 1;
             }
+
+            // 業者手間区分が指定されている場合             Add BIT 2017/02/23
+            if (m_SelectLabourKind != (int)SelectLabourKinds.Both)
+            {
+                cmbLabour.SelectedIndex = 0;
+                btnMyCompany.Visible = false;
+                // SQLの作成       Add BIT 2017/02/23
+                string strSQL = CreateSQL();
+
+                // データ表示
+                DispSubconstractorMasterGridData(strSQL);
+            }
             m_InitFlg = false;
         }
         #endregion
@@ -372,7 +434,7 @@
             dgvSearch.Rows.Clear();
             dgvSearch.Rows.Add(1, CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key,
                                     CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Value,
-                                    (int)CommonDefine.SearchLogDataType.FixCode);
+                                    (int)CommonDefine.CodeDataType.FixCode);
             dgvSearch.Rows[0].Cells[0].Selected = true;
 
             m_EndButton = DialogResult.OK;
@@ -508,7 +570,7 @@
                 int Value = CommonMotions.cnvInt(cmbItemType.SelectedValue);
                 if (Value < 1) return string.Empty;
 
-                return string.Format(" CompanyCode In (Select CompanyCode From SubContractorJobItem Where ItemCode = {0})",
+                return string.Format(" CompanyCode In (Select A1.CompanyCode From SubContractorJobItem A1 Where A1.ItemCode = {0})",
                                 CommonMotions.cnvInt(cmbItemType.SelectedValue));
 
             }
@@ -532,26 +594,30 @@
             {
                 if (m_InitFlg) return;
 
-                // 支払区分検索条件取得
-                string strSQL = GetSqlFromcmbLabour();
-                if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
+                // Del BIT 2017/02/23
+                //// 支払区分検索条件取得
+                //string strSQL = GetSqlFromcmbLabour();
+                //if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
 
-                // 工種検索条件取得
-                string SecondSQL = GetSqlFromCmbItemType();
-                if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
+                //// 工種検索条件取得
+                //string SecondSQL = GetSqlFromCmbItemType();
+                //if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
 
-                // 50音検索条件取得
-                string ThirdSQL = GetSqlFromcmbJapaneseSyllabary(); ;
-                if (ThirdSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, ThirdSQL);
+                //// 50音検索条件取得
+                //string ThirdSQL = GetSqlFromcmbJapaneseSyllabary(); ;
+                //if (ThirdSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, ThirdSQL);
 
-                strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+                //strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
 
-                // 文字列にWhereが無い場合は先頭をWhereに変更する
-                if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
-                {
-                    strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
-                }
+                //// 文字列にWhereが無い場合は先頭をWhereに変更する
+                //if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
+                //{
+                //    strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
+                //}
 
+                // SQLの作成       Add BIT 2017/02/23
+                string strSQL = CreateSQL();
+
                 // データ表示
                 DispSubconstractorMasterGridData(strSQL);
             }
@@ -677,10 +743,11 @@
             {
                 bool bRet = true;
 
-                string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
-                List<InputSearchLogData> isdList = new List<InputSearchLogData>();
-                if (!isdDB.SelectAction(strSQL, ref isdList)) bRet = false;
-                if (isdList.Count == 0) return false;
+                // Del BIT 
+                //string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+                //List<InputSearchLogData> isdList = new List<InputSearchLogData>();
+                //if (!isdDB.SelectAction(strSQL, ref isdList)) bRet = false;
+                //if (isdList.Count == 0) return false;
 
                 return bRet;
             }
@@ -720,7 +787,7 @@
                     int iRows = dgvSearch.Rows.Add(++i,
                                         wrk.CompanyCode,
                                         wrk.CompanyName,
-                                        (int)CommonDefine.SearchLogDataType.Subconstractor);
+                                        (int)CommonDefine.CodeDataType.Subconstractor);
 
 
                     dgvSearch.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = wrk.CompanyName;
@@ -768,7 +835,7 @@
                     int iRows = dgvSearch.Rows.Add(++i,
                                         wrk.PersonCode,
                                         wrk.PersonName,
-                                        (int)CommonDefine.SearchLogDataType.Person);
+                                        (int)CommonDefine.CodeDataType.Person);
 
                     dgvSearch.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = wrk.PersonName;
                 }
@@ -815,12 +882,16 @@
                     SubContractorMaster sbcRec = new SubContractorMaster();
                     if (!GetSubContractor(wrk.DataType, wrk.InputCode, ref sbcRec)) continue;
 
-                    int iRows = dgvHistory.Rows.Add(++i,
-                                        sbcRec.CompanyCode,
-                                        sbcRec.CompanyName,
-                                        wrk.DataType);
+                    // 手間業者区分が一致する場合        Add BIT 2017/02/23
+                    if ((m_SelectLabourKind == (int)SelectLabourKinds.Both) || (m_SelectLabourKind == sbcRec.labourKind))
+                    {
+                        int iRows = dgvHistory.Rows.Add(++i,
+                                            sbcRec.CompanyCode,
+                                            sbcRec.CompanyName,
+                                            wrk.DataType);
+                        dgvHistory.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = sbcRec.CompanyName;
+                    }
 
-                    dgvHistory.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = sbcRec.CompanyName;
                 }
                 // 画面一杯に行を表示する
                 if (dgvHistory.Rows.Count < CommonDefine.s_MaxInitLineCountMastamente)
@@ -855,7 +926,7 @@
             try
             {
                 string strSQL = string.Empty;
-                if (DataType == (int)CommonDefine.SearchLogDataType.FixCode)
+                if (DataType == (int)CommonDefine.CodeDataType.FixCode)
                 {
                     // 自社の場合
                     if (SubContractorCode == CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key)
@@ -870,7 +941,7 @@
                     }
                     return true;
                 }
-                else if (DataType == (int)CommonDefine.SearchLogDataType.Subconstractor)
+                else if (DataType == (int)CommonDefine.CodeDataType.Subconstractor)
                 {
                     // SQL作成
                     strSQL = sbcDB.CreatePrimarykeyString(SubContractorCode);
@@ -877,7 +948,7 @@
                     // 工種マスタ取得
                     if (!sbcDB.SelectAction(strSQL, ref DataRec)) return false;
                 }
-                else if (DataType == (int)CommonDefine.SearchLogDataType.Person)
+                else if (DataType == (int)CommonDefine.CodeDataType.Person)
                 {
                     PersonInChargeMaster personRec = new PersonInChargeMaster();
                     // SQL作成
@@ -1013,12 +1084,29 @@
 
                 // データセット
                 List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                DataList.Add(new KeyValuePair<int, string>(-1, ""));
 
-                foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                // 両方の場合        Add BIT 2017/02/23
+                if (m_SelectLabourKind == (int)SelectLabourKinds.Both)
                 {
-                    DataList.Add(new KeyValuePair<int, string>(SetValue.Key, SetValue.Value));
+                    DataList.Add(new KeyValuePair<int, string>(-1, ""));
+
+                    foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                    {
+                        DataList.Add(new KeyValuePair<int, string>(SetValue.Key, SetValue.Value));
+                    }
                 }
+                // 通常業者、手間業者いずれかの場合     Add BIT 2017/02/23
+                else
+                {
+                    foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                    {
+                        // 指定された業者手間区分のみ追加
+                        if (SetValue.Key == m_SelectLabourKind)
+                        {
+                            DataList.Add(new KeyValuePair<int, string>(SetValue.Key, SetValue.Value));
+                        }
+                    }
+                }
 
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbLabour, DataList);
@@ -1166,5 +1254,36 @@
             }
         }
         #endregion
+
+        #region 検索用SQL作成
+        /// <summary>
+        /// 検索用SQL作成            Add BIT 2017/02/23
+        /// </summary>
+        private string CreateSQL()
+        {
+            // 支払区分検索条件取得
+            string strSQL = GetSqlFromcmbLabour();
+            if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
+
+            // 工種検索条件取得
+            string SecondSQL = GetSqlFromCmbItemType();
+            if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
+
+            // 50音検索条件取得
+            string ThirdSQL = GetSqlFromcmbJapaneseSyllabary(); ;
+            if (ThirdSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, ThirdSQL);
+
+            strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+
+            // 文字列にWhereが無い場合は先頭をWhereに変更する
+            if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
+            {
+                strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
+            }
+
+            return strSQL;
+        }
+
+        #endregion
     }
 }
